package com.sinosig.core.module.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[CIDData]
 */
public class CIDData implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * CIDData标识 属性
     */
    private String CIDDataId;

    @JsonIgnore
    private boolean CIDDataIdDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * CIDData名称 属性
     */
    private String CIDDataName;

    @JsonIgnore
    private boolean CIDDataNameDirtyFlag;

    /**
     * 车险单名称 属性
     */
    private String CIDName;

    @JsonIgnore
    private boolean CIDNameDirtyFlag;

    /**
     * 车险单标识 属性
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;


    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [CIDData标识]
     */
    public String getCIDDataId(){
        return CIDDataId ;
    }

    /**
     * 设置 [CIDData标识]
     */
    public void setCIDDataId(String  cIDDataId){
        this.CIDDataId = cIDDataId ;
        this.CIDDataIdDirtyFlag = true ;
    }

    /**
     * 获取 [CIDData标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDDataIdDirtyFlag(){
        return CIDDataIdDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [CIDData名称]
     */
    public String getCIDDataName(){
        return CIDDataName ;
    }

    /**
     * 设置 [CIDData名称]
     */
    public void setCIDDataName(String  cIDDataName){
        this.CIDDataName = cIDDataName ;
        this.CIDDataNameDirtyFlag = true ;
    }

    /**
     * 获取 [CIDData名称]脏标记
     */
    @JsonIgnore
    public boolean getCIDDataNameDirtyFlag(){
        return CIDDataNameDirtyFlag ;
    }
    /**
     * 获取 [车险单名称]
     */
    public String getCIDName(){
        return CIDName ;
    }

    /**
     * 设置 [车险单名称]
     */
    public void setCIDName(String  cIDName){
        this.CIDName = cIDName ;
        this.CIDNameDirtyFlag = true ;
    }

    /**
     * 获取 [车险单名称]脏标记
     */
    @JsonIgnore
    public boolean getCIDNameDirtyFlag(){
        return CIDNameDirtyFlag ;
    }
    /**
     * 获取 [车险单标识]
     */
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return CIDIdDirtyFlag ;
    }
}

